for confdir in /etc; do 
		find $ROOT/$confdir -name '*.new' | while read i; do 
			BASE=$(dirname $i)/$(basename $i .new) 
			echo Verificando $BASE 
			if [ -f $BASE ]; then 
				rm -f $i 
			else 
				mv -v $i $BASE 
			fi 
		done; 
done
if ! egrep -q "^dspam:" etc/group; then
  echo "Agregando grupo dspam, GID=200"
  groupadd -g 200 dspam
fi

if ! egrep -q "^dspam:" etc/passwd; then
  echo "Agregando usuario dspam, UID=200"
  useradd -s /bin/false -d /dev/null -u 200 -g dspam dspam
fi

echo "Setting owner and permissions for /usr/bin/dspam: dspam.httpd, 6511"
chown dspam.httpd usr/bin/dspam
chmod 6511 $ROOT/usr/bin/dspam

echo "Setting owner and permissions for /usr/bin/dspam_stats: dspam.httpd, 6511"
chown dspam.httpd $ROOT/usr/bin/dspam_stats
chmod 6511 $ROOT/usr/bin/dspam_stats

echo "Setting owner for /var/dspam/{data,log}: dspam.dspam"
chown -R dspam.dspam $ROOT/var/dspam

echo "Setting owner for /var/run/dspam: dspam.dspam"
chown -R dspam.dspam $ROOT/var/run/dspam

chown dspam.dspam $ROOT/etc/dspam.conf

if ! grep -q "##### DSPAM #####" /var/spool/cron/crontabs/root; then

echo "Adding entries for dspam to root's crontab"

cat << EOF >> $ROOT/var/spool/cron/crontabs/root

############### DSPAM ####################

# Eliminar nombres inexistentes del directorio de datos de dspam
*/10 * * * * /usr/sbin/dspam-clean | logger -i -p cron.info -t dspam-clean 2>&1

# Limpiar firmas antiguas de DSPAM
0 3 * * *       find /var/dspam/data -type f  -name "*.sig" -mtime +15 -delete | logger -i -p cron.info -t dspam-clean 2>&1

# Limpiar temporales de dspam-deliver
30 * * * *      find /var/tmp -type f -name "dspam-deliver.*" -mtime +1 -delete &> /dev/null

# Limpieza de BD de DSPAM
45 2 * * *      /usr/sbin/dspam_maintenance.sh --verbose &> /var/log/dspam_maintenance.log

##########################################

EOF

crontab $ROOT/var/spool/cron/crontabs/root

fi
( cd usr/lib/dspam ; rm -rf libpgsql_drv.so.7 )
( cd usr/lib/dspam ; ln -sf libpgsql_drv.so.7.0.0 libpgsql_drv.so.7 )
( cd usr/lib/dspam ; rm -rf libpgsql_drv.so )
( cd usr/lib/dspam ; ln -sf libpgsql_drv.so.7.0.0 libpgsql_drv.so )
( cd usr/lib/dspam ; rm -rf libhash_drv.so.7 )
( cd usr/lib/dspam ; ln -sf libhash_drv.so.7.0.0 libhash_drv.so.7 )
( cd usr/lib/dspam ; rm -rf libhash_drv.so )
( cd usr/lib/dspam ; ln -sf libhash_drv.so.7.0.0 libhash_drv.so )
( cd usr/lib ; rm -rf libdspam.so )
( cd usr/lib ; ln -sf libdspam.so.7.0.0 libdspam.so )
( cd usr/lib ; rm -rf libdspam.so.7 )
( cd usr/lib ; ln -sf libdspam.so.7.0.0 libdspam.so.7 )
( cd usr/share/man/man3 ; rm -rf dspam_init.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_init.3 )
( cd usr/share/man/man3 ; rm -rf dspam_getsource.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_getsource.3 )
( cd usr/share/man/man3 ; rm -rf dspam_detach.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_detach.3 )
( cd usr/share/man/man3 ; rm -rf dspam_create.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_create.3 )
( cd usr/share/man/man3 ; rm -rf dspam_process.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_process.3 )
( cd usr/share/man/man3 ; rm -rf dspam_attach.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_attach.3 )
( cd usr/share/man/man3 ; rm -rf dspam_destroy.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_destroy.3 )
( cd usr/share/man/man3 ; rm -rf dspam_addattribute.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_addattribute.3 )
( cd usr/share/man/man3 ; rm -rf dspam_clearattributes.3 )
( cd usr/share/man/man3 ; ln -sf libdspam.3 dspam_clearattributes.3 )
